%define major 		5
%define gmajor		1.0
%define libname		%mklibname qmi-glib %{major}
%define girname		%mklibname qmi-gir %{gmajor}
%define develname	%mklibname qmi-glib -d

%bcond_with gtkdoc

Name:		libqmi
Version:	1.26.8
Release:	%mkrel 1
Summary:	Qualcomm MSM Interface (QMI) protocol helper library
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.freedesktop.org/wiki/Software/libqmi/
Source:		https://www.freedesktop.org/software/libqmi/libqmi-%{version}.tar.xz
Patch0:		libqmi-optional-gtk-doc.patch
BuildRequires:	autoconf-archive
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(mbim-glib)
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
libqmi is a glib-based library for talking to WWAN modems and devices which
speak the Qualcomm MSM Interface (QMI) protocol.

%package -n	%{libname}
Summary:	Qualcomm MSM Interface (QMI) protocol helper library
Group:		Development/C
Requires:	%{name}-utils >= %{version}-%{release}

%description -n	%{libname}
This package contains the libraries that make it easier to use QMI functionality
from applications that use glib.

%package -n	%{girname}
Summary:	GObject Introspection interface description for Qmi
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{girname}
GObject Introspection interface description for Qmi.

%package -n	%{develname}
Summary:	Header files and development libraries for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	qmi-devel = %{version}-%{release}
Provides:	qmi-glib-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the header and pkg-config files for development
applications using QMI functionality from applications that use glib.

%package utils
Summary:	QMI protocol command line utilities
Group:		System/Base
License:	GPLv2+

%description utils
This package contains the utilities that make it easier to use QMI functionality
from the command line.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure \
	--enable-gtk-doc=%{?with_gtkdoc:yes}%{?!with_gtkdoc:no} \
	--disable-static \
	--with-udev-base-dir=%{_prefix}/lib/udev \
	--enable-mbim-qmux
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%check
make check

%files -n %{libname}
%doc AUTHORS NEWS
%{_libdir}/%{name}-glib.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Qmi-%{gmajor}.typelib

%files -n %{develname}
%if %{with gtkdoc}
%doc %{_datadir}/gtk-doc/html/libqmi-glib/
%endif
%{_includedir}/%{name}-glib/
%{_libdir}/%{name}-glib.so
%{_libdir}/pkgconfig/qmi-glib.pc
%{_datadir}/gir-1.0/Qmi-%{gmajor}.gir

%files utils
%{_bindir}/qmicli
%{_bindir}/qmi-firmware-update
%{_bindir}/qmi-network
%{_datadir}/bash-completion/completions/qmicli
%{_libexecdir}/qmi-proxy
%{_mandir}/man1/qmicli.1*
%{_mandir}/man1/qmi-firmware-update.1*
%{_mandir}/man1/qmi-network.1*


%changelog
* Tue Jan 19 2021 wally <wally> 1.26.8-1.mga8
+ Revision: 1672553
- new version 1.26.8

* Sun Dec 06 2020 luigiwalser <luigiwalser> 1.26.6-2.mga8
+ Revision: 1653218
- BR autoconf-archive
- call autoreconf to fix build

* Sun Nov 08 2020 wally <wally> 1.26.6-1.mga8
+ Revision: 1643640
- new version 1.26.6

* Sun Sep 27 2020 wally <wally> 1.26.4-1.mga8
+ Revision: 1630727
- new version 1.26.4

* Sun Aug 09 2020 wally <wally> 1.26.2-2.mga8
+ Revision: 1612133
- enable gir support

* Sun Aug 09 2020 wally <wally> 1.26.2-1.mga8
+ Revision: 1612130
- new version 1.26.2
- add bcond for doc build

* Tue Aug 04 2020 joequant <joequant> 1.24.8-2.mga8
+ Revision: 1611003
- fix deps with gtkdocize

* Fri Mar 27 2020 wally <wally> 1.24.8-1.mga8
+ Revision: 1560960
- new version 1.24.8

* Sun Mar 08 2020 wally <wally> 1.24.6-1.mga8
+ Revision: 1554922
- new version 1.24.6

* Mon Feb 17 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1537230
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Oct 27 2019 wally <wally> 1.24.0-1.mga8
+ Revision: 1456071
- new version 1.24.0

* Mon Jul 01 2019 wally <wally> 1.22.4-1.mga8
+ Revision: 1417283
- new version 1.22.4

* Sat Apr 13 2019 wally <wally> 1.22.2-1.mga7
+ Revision: 1389834
- new version 1.22.2

* Sat Mar 16 2019 wally <wally> 1.22.0-1.mga7
+ Revision: 1377860
- new version 1.22.0

* Sat Nov 03 2018 daviddavid <daviddavid> 1.20.2-1.mga7
+ Revision: 1327881
- new version: 1.20.2
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun Mar 11 2018 wally <wally> 1.20.0-1.mga7
+ Revision: 1208141
- new version 1.20.0

* Wed Sep 27 2017 wally <wally> 1.18.0-1.mga7
+ Revision: 1160524
- new version 1.18.0
- add patch from upstream to fix tests
- rediff gtk-doc patch

* Thu Mar 09 2017 wally <wally> 1.16.2-2.mga6
+ Revision: 1090588
- make lib pkg to require qmi-proxy (libqmi-utils pkg) (mga#20423)

* Sun Jan 01 2017 wally <wally> 1.16.2-1.mga6
+ Revision: 1079274
- new version 1.16.2
- update licenses
- add patch to make gtk-doc build optional (and disable it)

* Fri Aug 26 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1049130
- imported package libqmi

